> ## Documentation Index
> Fetch the complete documentation index at: https://docs.joyfill.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List all users



## OpenAPI

````yaml get /users
openapi: 3.1.0
info:
  title: joyfill
  version: '1.1'
servers:
  - url: https://api-joy.joyfill.io/v1
security:
  - sec0: []
paths:
  /users:
    get:
      summary: List all users
      operationId: list-all-users
      parameters:
        - name: limit
          in: query
          description: >-
            A limit on the number of objects to be returned. Limit can range
            between 1 and 100, and the default is 25.
          required: true
          schema:
            type: integer
            format: int32
            default: 25
        - name: page
          in: query
          description: >-
            An integer for use with pagination. For instance, if limit is set to
            25 and you set page to 2 then results 26-50 will be returned.
          required: true
          schema:
            type: integer
            format: int32
            default: 1
        - name: type
          in: query
          description: >-
            The type of users you want to return. See the users Overview page
            for more information about user types.
          schema:
            type: string
            enum:
              - all
              - organization
              - group
            default: all
        - name: group
          in: query
          description: >-
            Filter users by a specific group identifier. Only users that belong
            to the specified group will be returned.
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Supports both API Key and User Access Token authorization. See
            https://joyfill.mintlify.app/api/authentication
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "data": ["Object", "Object", "etc."]
                    }
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: string
                      example: Object
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "message": "Not Found"
                    }
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not Found
      deprecated: false
      security: []
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````